[PATCH 05 of 11 cubicweb/debian] [pkg] Specify priority “optional” instead of the obsolete “extra”

Jérémy Bobbio jeremy.bobbio at irq7.fr
Thu Jun 13 17:18:59 CEST 2019


# HG changeset patch
# User Jérémy Bobbio <jeremy.bobbio at irq7.fr>
# Date 1560156828 -7200
#      Mon Jun 10 10:53:48 2019 +0200
# Node ID 92e33a1c5ec8d3756f6df5c689593f524c762e25
# Parent  4b27f2edb364b92fce854442b8077f45a06a4d94
[pkg] Specify priority “optional” instead of the obsolete “extra”

Quoting Lintian, “Since Debian Policy version 4.0.1, the priority extra
has been deprecated.” So let's use “optional” instead.

diff -r 4b27f2edb364 -r 92e33a1c5ec8 debian/changelog
--- a/debian/changelog	Mon Jun 10 10:51:31 2019 +0200
+++ b/debian/changelog	Mon Jun 10 10:53:48 2019 +0200
@@ -4,6 +4,7 @@
   * Switch to Debian source format 3.0 (quilt).
   * Run test suite as part of autopkgtest.
   * Remove build dependency on obsolete dh-systemd.
+  * Specify priority “optional” instead of the obsolete “extra”.
 
  -- Jérémy Bobbio <jeremy.bobbio at irq7.fr>  Wed, 29 May 2019 16:06:20 +0200
 
diff -r 4b27f2edb364 -r 92e33a1c5ec8 debian/control
--- a/debian/control	Mon Jun 10 10:51:31 2019 +0200
+++ b/debian/control	Mon Jun 10 10:53:48 2019 +0200
@@ -189,7 +189,7 @@
 
 Package: cubicweb
 Architecture: all
-Priority: extra
+Priority: optional
 Section: oldlibs
 Depends:
  python3-cubicweb, ${misc:Depends}
@@ -199,7 +199,7 @@
 
 Package: cubicweb-server
 Architecture: all
-Priority: extra
+Priority: optional
 Section: oldlibs
 Depends:
  python3-cubicweb, ${misc:Depends}
@@ -209,7 +209,7 @@
 
 Package: cubicweb-postgresql-support
 Architecture: all
-Priority: extra
+Priority: optional
 Section: oldlibs
 Depends:
  python3-cubicweb-postgresql-support, ${misc:Depends}
@@ -219,7 +219,7 @@
 
 Package: cubicweb-web
 Architecture: all
-Priority: extra
+Priority: optional
 Section: oldlibs
 Depends:
  python3-cubicweb, ${misc:Depends}
@@ -229,7 +229,7 @@
 
 Package: cubicweb-common
 Architecture: all
-Priority: extra
+Priority: optional
 Section: oldlibs
 Depends:
  python3-cubicweb, ${misc:Depends}
@@ -239,7 +239,7 @@
 
 Package: cubicweb-dev
 Architecture: all
-Priority: extra
+Priority: optional
 Section: oldlibs
 Depends:
  python3-cubicweb, ${misc:Depends}
@@ -249,7 +249,7 @@
 
 Package: cubicweb-documentation
 Architecture: all
-Priority: extra
+Priority: optional
 Section: oldlibs
 Depends:
  python3-cubicweb-documentation, ${misc:Depends}


More information about the cubicweb-devel mailing list